API referenceTenancy
Create Organization Grant
POST
/api/v1/organizations/{organization_id}/grantsAuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Path Parameters
organization_id*Organization Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/organizations/string/grants" \ -H "Content-Type: application/json" \ -d '{ "principal_id": "string", "role": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "id": "string", "organization_id": "string", "principal": { "email": "string", "id": "string", "image_url": "string", "kind": "string", "name": "string", "status": "string" }, "role": "string", "workspace_id": "string"}